package com.zjsgfa.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-钻头关键数据分析对象 sj_ztgjsj
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public class SjZtgjsj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 井号 */
//    @Excel(name = "井号")
    private String jh;

    /** 邻井井号 */
    @Excel(name = "井号")
    private String ljjh;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 井段 */
    @Excel(name = "井段")
    private String jd;

    /** 钻头外径 */
    @Excel(name = "钻头外径")
    private Double ztcc;

    /** 钻头型号 */
    @Excel(name = "钻头型号")
    private String ztxh;

    /** 喷嘴 */
    @Excel(name = "喷嘴")
    private String pz;

    /** 磨损情况 */
    @Excel(name = "磨损情况")
    private String mxqk;

    /** 起钻原因 */
    @Excel(name = "起钻原因")
    private String qzyy;

    /** 层位 */
    @Excel(name = "层位")
    private String cw;

    /** 钻井液密度 */
    @Excel(name = "钻井液密度")
    private Double zjymd;

    /** 排量 */
    @Excel(name = "排量")
    private Double pl;

    /** 泵压 */
    @Excel(name = "泵压")
    private Double lgby;

    /** 进尺 */
    @Excel(name = "进尺")
    private Double jc;

    /** 机速 */
    @Excel(name = "机速")
    private Double jxzs;

    /** 指标 */
    @Excel(name = "指标")
    private Double zb;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setLjjh(String ljjh) 
    {
        this.ljjh = ljjh;
    }

    public String getLjjh() 
    {
        return ljjh;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setJd(String jd) 
    {
        this.jd = jd;
    }

    public String getJd() 
    {
        return jd;
    }

    public void setZtcc(Double ztcc) 
    {
        this.ztcc = ztcc;
    }

    public Double getZtcc() 
    {
        return ztcc;
    }

    public void setZtxh(String ztxh) 
    {
        this.ztxh = ztxh;
    }

    public String getZtxh() 
    {
        return ztxh;
    }

    public void setPz(String pz) 
    {
        this.pz = pz;
    }

    public String getPz() 
    {
        return pz;
    }

    public void setMxqk(String mxqk) 
    {
        this.mxqk = mxqk;
    }

    public String getMxqk() 
    {
        return mxqk;
    }

    public void setQzyy(String qzyy) 
    {
        this.qzyy = qzyy;
    }

    public String getQzyy() 
    {
        return qzyy;
    }

    public void setCw(String cw) 
    {
        this.cw = cw;
    }

    public String getCw() 
    {
        return cw;
    }

    public void setZjymd(Double zjymd) 
    {
        this.zjymd = zjymd;
    }

    public Double getZjymd() 
    {
        return zjymd;
    }

    public void setPl(Double pl) 
    {
        this.pl = pl;
    }

    public Double getPl() 
    {
        return pl;
    }

    public void setLgby(Double lgby) 
    {
        this.lgby = lgby;
    }

    public Double getLgby() 
    {
        return lgby;
    }

    public void setJc(Double jc) 
    {
        this.jc = jc;
    }

    public Double getJc() 
    {
        return jc;
    }

    public void setJxzs(Double jxzs) 
    {
        this.jxzs = jxzs;
    }

    public Double getJxzs() 
    {
        return jxzs;
    }

    public void setZb(Double zb) 
    {
        this.zb = zb;
    }

    public Double getZb() 
    {
        return zb;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("ljjh", getLjjh())
            .append("kc", getKc())
            .append("jd", getJd())
            .append("ztcc", getZtcc())
            .append("ztxh", getZtxh())
            .append("pz", getPz())
            .append("mxqk", getMxqk())
            .append("qzyy", getQzyy())
            .append("cw", getCw())
            .append("zjymd", getZjymd())
            .append("pl", getPl())
            .append("lgby", getLgby())
            .append("jc", getJc())
            .append("jxzs", getJxzs())
            .append("zb", getZb())
            .toString();
    }
}
